#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2
visibility:           public
id:                   semialign-1.2-27XW8uZt0Cc1sJKom2LxR
key:                  semialign-1.2-27XW8uZt0Cc1sJKom2LxR
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  1a0f305b73bf70d1440be06e1b4c81c7
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.0.1/site-local/semialign-1.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/semialign-1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/semialign-1.2
hs-libraries:         HSsemialign-1.2-27XW8uZt0Cc1sJKom2LxR
depends:
    base-4.15.0.0 containers-0.6.4.1
    hashable-1.3.2.0-FeHuXTZofY1HfsvuXYo4tc
    indexed-traversable-0.1.1-K0YsJRCif6Q7nMYcYE7GvA
    indexed-traversable-instances-0.1-3nPji8DiiO3AJPj1Ttu7Ir
    semigroupoids-5.3.5-IWTY5nldYyeAByyBl1oQ5G
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25
    these-1.1.1.1-Ktz2I9KmKfpGwx32ZHPe6y transformers-0.5.6.2
    unordered-containers-0.2.14.0-A8FnkciaL1YDWhREYvj1Se
    vector-0.12.3.0-AUL3Ah3IbB92NFyYgYDz3e

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

